%define zopeproductsdir  %{_libdir}/zope/lib/python/Products
%define zopeuser zope
%define productname ExternalEditor
%define productver  0.7

Name:               zope-%{productname}
Summary:            A Zope product: Externa Editor
Version:            %{productver} 
Release:            2ied00
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
License:            GPL
URL:                http://zope.org/Members/Caseman/%{productname}
Source:             %{productname}-%{productver}.tgz
Patch0:             %{productname}-0.7-nomonkey.patch
Vendor:             IED
Distribution:       Zope
Packager:           Wei He <hewe@ied.org.cn>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
Buildarch: 	    noarch


#----------------------------------------------------------------------
%description
Do you like editing zope objects in text areas?

If not, this product is for you. The ExternalEditor is a Zope product and configurable helper application that allows you to drop into your favorite editor(s) directly from the ZMI to modify Zope objects. Its one of those "have your cake and eat it too" kind of things ;^).

#----------------------------------------------------------------------
%prep
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%setup -n %{productname}
%patch0

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CHANGES.txt LICENSE.txt README.txt version.txt
%doc INSTALL-UNIX.txt INSTALL-WIN32.txt
%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/%{productname}
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/%{productname}/*

%postun
if [ $1 = 0 ]; then
   %{__rm} -rf %{zopeproductsdir}/%{productname}
fi

#----------------------------------------------------------------------
%changelog
* Fri Feb 20 2004 Wei He <hewei@ied.org.cn> 0.7-2ied00
- Disabled monkey patches and add those patches to Zope
  and AbracadabraObject

* Mon Feb 16 2004 Wei He <hewei@ied.org.cn> 0.7-1ied00
- Initial release
